<table mat-table [dataSource]="dataSource" matSort>

  <ng-container matColumnDef="id">
    <th mat-header-cell *matHeaderCellDef mat-sort-header matTooltip="{{ 'IdTooltip' | translate }}"
      matTooltipShowDelay="500" matTooltipPosition="above">
      Id
    </th>
    <td mat-cell *matCellDef="let route"> {{route.id}} </td>
    <td mat-footer-cell *matFooterCellDef> </td>
  </ng-container>

  <ng-container matColumnDef="measurements">
    <th mat-header-cell *matHeaderCellDef mat-sort-header> {{ 'Measurements' | translate }} </th>
    <td mat-cell *matCellDef="let route"> {{route.measurements}} </td>
    <td mat-footer-cell *matFooterCellDef><app-idw-options-button></app-idw-options-button></td>
  </ng-container>

  <ng-container matColumnDef="name">
    <th mat-header-cell *matHeaderCellDef mat-sort-header> Name </th>
    <td mat-cell *matCellDef="let route"> {{route.name}} </td>
    <td mat-footer-cell *matFooterCellDef>{{ 'NumOfRoutes' | translate }} {{numberOfRoutes}} </td>
  </ng-container>

  <ng-container matColumnDef="date">
    <th mat-header-cell *matHeaderCellDef mat-sort-header >{{ 'Date' | translate }}</th>
    <td mat-cell *matCellDef="let route"> {{route.date | date:'medium' }} </td>
    <td mat-footer-cell *matFooterCellDef>{{ 'NumOfSelRoutes' | translate }} {{numberOfSelectedRoutes}} </td>
  </ng-container>

  <ng-container matColumnDef="pointCount">
    <th mat-header-cell *matHeaderCellDef mat-sort-header matTooltip="{{ 'PointCountTooltip' | translate }}"
      matTooltipShowDelay="500" matTooltipPosition="above">
      {{ 'PointCount' | translate }}
    </th>
    <td mat-cell *matCellDef="let route"> {{route.pointCount}} </td>
    <td mat-footer-cell *matFooterCellDef> </td>
  </ng-container>

  <ng-container matColumnDef="stepwidth">
    <th mat-header-cell *matHeaderCellDef mat-sort-header matTooltip="{{ 'StepwidthTooltip' | translate }}"
      matTooltipShowDelay="500" matTooltipPosition="above">
      {{ 'Stepwidth' | translate }}
    </th>
    <td mat-cell *matCellDef="let route"> {{route.stepwidth | number : '1.2-2'}} m </td>
    <td mat-footer-cell *matFooterCellDef>{{ 'NumOfFiltered' | translate }} {{numberOfFilteredRoutes}} </td>
  </ng-container>

  <ng-container matColumnDef="show">
    <th mat-header-cell *matHeaderCellDef matTooltip="{{ 'ShowTooltip' | translate }}" matTooltipShowDelay="500"
      matTooltipPosition="above">
      {{ 'ShowOnMap' | translate }}
    </th>
    <td mat-cell (click)="clickOnRoute(route, $event)" *matCellDef="let route">
      <mat-checkbox [checked]="selection.isSelected(route)" color="primary"></mat-checkbox>
    </td>
    <td mat-footer-cell *matFooterCellDef>
      <button mat-stroked-button (click)="selectAll()">{{ 'SelectAll' | translate }}</button>
    </td>
  </ng-container>

  <ng-container matColumnDef="edit">
    <th mat-header-cell *matHeaderCellDef>
      {{ 'EditRoute' | translate }}
    </th>
    <td mat-cell *matCellDef="let route">
      <button mat-button (click)="deleteRouteBtnClick([route])">{{ 'Delete' | translate }}</button>
      <button mat-button (click)="dropPointsBtnClick([route])">{{ 'Drop' | translate }}</button>
    </td>
    <td mat-footer-cell *matFooterCellDef>
      <button mat-stroked-button (click)="deleteRouteBtnClick(this.dataSource.filteredData)">{{ 'DeleteAll' | translate
        }}</button>
      <button mat-stroked-button (click)="dropPointsBtnClick(this.dataSource.filteredData)">{{ 'DropAll' | translate
        }}</button>
    </td>
  </ng-container>

  <tr mat-header-row *matHeaderRowDef="columnsToDisplay; sticky: true;"></tr>
  <tr [class.selected]="selection.isSelected(route)" mat-row *matRowDef="let route; columns: columnsToDisplay">
  </tr>
  <tr mat-footer-row *matFooterRowDef="columnsToDisplay; sticky: true"></tr>

</table>
